#ifndef __JUCER_HEADER_ACTIONSCOMPONENT_H
#define __JUCER_HEADER_ACTIONSCOMPONENT_H

#include "juce.h"
#include "Spectrum.h"

class SpectrumApplication;

class ActionsComponent  : public Component,
                          public ButtonListener {
public:
    ActionsComponent (Spectrum *aspectrum, SpectrumApplication *anapplication);
    ~ActionsComponent();
    void paint (Graphics& g);
    void resized();
    void buttonClicked (Button* buttonThatWasClicked);

    juce_UseDebuggingNewOperator

private:
	Spectrum *spectrum;
	SpectrumApplication *application;

    GroupComponent* groupMemory;
    GroupComponent* groupSnapshots;
    TextButton* textButtonLoad;
    TextButton* textButtonSave;
    TextEditor* textEditorAddress;
    Label* labelAddress;
    Label* labelValue;
    TextEditor* textEditorValue;
    TextButton* textButtonModify;
    GroupComponent* groupRom;
    TextButton* textButtonRomLoad;
    TextButton* textButtonRomSave;
    GroupComponent* groupCpu;
    TextButton* textButtonReset;
    GroupComponent* groupScreenshot;
    TextButton* textButtonScreenShot;

    ActionsComponent (const ActionsComponent&);
    const ActionsComponent& operator= (const ActionsComponent&);
};


#endif 
