#ifndef __JUCER_HEADER_PARAMETERSCOMPONENT_H
#define __JUCER_HEADER_PARAMETERSCOMPONENT_H

#include "juce.h"
#include "Spectrum.h"
class SpectrumApplication;

class ParametersComponent  : public Component,
                             public ButtonListener,
							 public SliderListener {
public:
    ParametersComponent (Spectrum *aspectrum, SpectrumApplication *anapplication);
    ~ParametersComponent();

    void paint (Graphics& g);
    void resized();
    void buttonClicked (Button* buttonThatWasClicked);
    void sliderValueChanged(Slider *slider);
    juce_UseDebuggingNewOperator

private:
	Spectrum *spectrum;
	FileLogger *filelogger;  
	SpectrumApplication *application;

    GroupComponent* groupArrows;
    GroupComponent* groupSound;
    ToggleButton* toggleSound;
    ToggleButton* toggleMapping;
    ToggleButton* toggleBasic;
    ToggleButton* toggleSinclairJ1;
    ToggleButton* toggleSinclairJ2;
    ToggleButton* toggleKempston;
    ToggleButton* toggleCursor;
    Label* labelShft;
	Label* labelAlt;
	Slider *sliderVolume;

    ParametersComponent (const ParametersComponent&);
    const ParametersComponent& operator= (const ParametersComponent&);
};

#endif 
