#include "ScreenComponent.h"
extern word Keys[];

ScreenComponent::ScreenComponent (Spectrum *aspectrum)
    : Component (T("ScreenComponent")), 
	spectrum(aspectrum)
{
    centreWithSize (FULL_SCREEN_W, FULL_SCREEN_H);	
	setWantsKeyboardFocus (1);
	grabKeyboardFocus();
}

ScreenComponent::~ScreenComponent() {
}

void ScreenComponent::paint (Graphics& g) {
	if (!spectrum) {
		g.fillAll (Colours::red);
		return;
	}

	Image *image = spectrum->GetULA()->GetImage();
	if (image) g.drawImageAt(image, 0,0);
}


void ScreenComponent::resized() { }

void ScreenComponent::keyPressed (const KeyPress &key) {
}

void ScreenComponent::modifierKeysChanged (const ModifierKeys &mod) {
	if (mod.isShiftDown ()) spectrum->GetULA()->KeyChanged (KEY_SHFT, 1);
	else spectrum->GetULA()->KeyChanged (KEY_SHFT, 0);

	if (mod.isCtrlDown ()) spectrum->GetULA()->KeyChanged (KEY_CTRL, 1);
	else spectrum->GetULA()->KeyChanged (KEY_CTRL, 0);

	if (mod.isAltDown ()) spectrum->GetULA()->KeyChanged (KEY_ALT, 1);
	else spectrum->GetULA()->KeyChanged (KEY_ALT, 0);

}
void ScreenComponent::keyStateChanged () {
	// check for all "normal keys"
	for (int i=0; Keys[i] != 0; i++) {
		int keyCode = Keys[i];
		if (KeyPress::isKeyCurrentlyDown (keyCode)) spectrum->GetULA()->KeyChanged (keyCode, 1);
		else spectrum->GetULA()->KeyChanged (keyCode, 0);
	}

	// These key must be tested after normal keys because it should overide normal keys
	if (KeyPress::isKeyCurrentlyDown (KeyPress::upKey)) spectrum->GetULA()->KeyChanged (KEY_UP, 1);
	else spectrum->GetULA()->KeyChanged (KEY_UP, 0);
	if (KeyPress::isKeyCurrentlyDown (KeyPress::downKey)) spectrum->GetULA()->KeyChanged (KEY_DOWN, 1);
	else spectrum->GetULA()->KeyChanged (KEY_DOWN, 0);
	if (KeyPress::isKeyCurrentlyDown (KeyPress::leftKey)) spectrum->GetULA()->KeyChanged (KEY_LEFT, 1);
	else spectrum->GetULA()->KeyChanged (KEY_LEFT, 0);
	if (KeyPress::isKeyCurrentlyDown (KeyPress::rightKey)) spectrum->GetULA()->KeyChanged (KEY_RIGHT, 1);
	else spectrum->GetULA()->KeyChanged (KEY_RIGHT, 0);
	if (KeyPress::isKeyCurrentlyDown (KeyPress::backspaceKey)) spectrum->GetULA()->KeyChanged (KEY_BACKSPACE, 1);
	else spectrum->GetULA()->KeyChanged (KEY_BACKSPACE, 0);
}