#ifndef SPECTRUM_APPLICATION_H
#define SPECTRUM_APPLICATION_H

#include "juce.h"
#include "Spectrum.h"

class AudioObject;
class SpectrumWindow;

class SpectrumApplication : public JUCEApplication, public Timer {
private:
    SpectrumWindow* spectrumWindow;
	Spectrum *spectrum;
   
	TooltipWindow * tooltipwindow; 

	AudioObject *audioobject;
	int refresh_period;
	ShinyLookAndFeel shinyLookAndFeel;

public:
    SpectrumApplication();
    ~SpectrumApplication();

	AudioObject *getAudioObject() const { return audioobject; }
	Spectrum *getSpectrum () const { return spectrum; }
	void setPause (int p);

	void timerCallback();
    void initialise (const String& commandLine);
	void shutdown() ;

    const String getApplicationName() { return T("JUCE Spectrum"); }
    const String getApplicationVersion() { return T("1.0"); }
    bool moreThanOneInstanceAllowed() { return true; }
    void anotherInstanceStarted (const String& commandLine) { }
};
#endif