#ifndef __JUCER_HEADER_SPECTRUMCOMPONENT_SPECTRUMCOMPONENT_DF7F3C4F__
#define __JUCER_HEADER_SPECTRUMCOMPONENT_SPECTRUMCOMPONENT_DF7F3C4F__

#include "juce.h"

class SpectrumApplication;

#include "ScreenComponent.h"
#include "ActionsComponent.h"
#include "ParametersComponent.h"
#include "AudioObjects.h"
#include "KeyboardWindow.h"

class SpectrumComponent  : public Component, public ButtonListener {
public:
	SpectrumComponent (SpectrumApplication *anapplication);
    ~SpectrumComponent();

	void ForceRepaint () { if (screencomponent) screencomponent->repaint(); }
	void buttonClicked (Button* buttonThatWasClicked);
    void paint (Graphics& g);
    void resized();

    juce_UseDebuggingNewOperator

private:
	ScreenComponent *screencomponent;
	ActionsComponent *actionscomponent;
	ParametersComponent *parameterscomponent;

	KeyboardWindow *keyboardWindow;
	TextButton* textButtonKeyboard;
	ToggleButton* toggleButtonPause;
	SpectrumApplication *application;

    TabbedComponent* tabbedComponent;
    Label* label;
    Path internalPath1;
    Path internalPath2;
    Path internalPath3;
    Path internalPath4;
 
    SpectrumComponent (const SpectrumComponent&);
    const SpectrumComponent& operator= (const SpectrumComponent&);
};

#endif 
